Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class TableConverter

    java.lang.Object
      writer2latex.latex.ConverterHelper
          writer2latex.latex.TableConverter

    public class TableConverter

extends ConverterHelper

This class converts OpenDocument tables to LaTeX.

The following LaTeX packages are used; some of them are optional

array.sty, longtable.sty, supertabular.sty, tabulary.sty, hhline.sty, colortbl.sty.

Options:

- use_longtable = true|false
- use_supertabular = true|false
- use_tabulary = true|false
- use_colortbl = true|false
- float_tables = true|false
- float_options = <string>
- table_content = accept|ignore|warning|error

Nested Class Summary
`private class` | `TableConverter.SingleTableConverter`

Field Summary
`private boolean` | `bContainsTables`
`private boolean` | `bNeedColortbl`
`private boolean` | `bNeedLongtable`
`private boolean` | `bNeedSupertabular`
`private boolean` | `bNeedTabulary`

Fields inherited from class writer2latex.latex.ConverterHelper
`config, ofr, palette`

Constructor Summary
`TableConverter(OfficeReader ofr, Config config, ConverterPalette palette)` Constructs a new `TableConverter`.

Method Summary
`void` | `appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void` | `handleCaption(org.w3c.dom.Element node, LaTeXDocumentPortion ldp, Context oc)`
`void` | `handleTable(org.w3c.dom.Element node, org.w3c.dom.Element caption, boolean bCaptionAbove, LaTeXDocumentPortion ldp, Context oc)` Process a table (table:table or table:sub-table tag)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bNeedLongtable

    private boolean bNeedLongtable

### bNeedSupertabular

    private boolean bNeedSupertabular

### bNeedTabulary

    private boolean bNeedTabulary

### bNeedColortbl

    private boolean bNeedColortbl

### bContainsTables

    private boolean bContainsTables

Constructor Detail

### TableConverter

    public TableConverter(OfficeReader ofr,
                          Config config,
                          ConverterPalette palette)

  Constructs a new `TableConverter`.

Method Detail

### appendDeclarations

    public void appendDeclarations(LaTeXDocumentPortion pack,
                                   LaTeXDocumentPortion decl)

  Overrides:
    `appendDeclarations` in class `ConverterHelper`

### handleCaption

    public void handleCaption(org.w3c.dom.Element node,
                              LaTeXDocumentPortion ldp,
                              Context oc)

### handleTable

    public void handleTable(org.w3c.dom.Element node,
                            org.w3c.dom.Element caption,
                            boolean bCaptionAbove,
                            LaTeXDocumentPortion ldp,
                            Context oc)

  Process a table (table:table or table:sub-table tag)

  Parameters:
    ``node`` - The element containing the table
    ``ldp`` - the `LaTeXDocumentPortion` to which LaTeX code should be added
    ``oc`` - the current context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD